package cn.iocoder.byzs.module.blockly.enums;

import cn.iocoder.byzs.framework.common.exception.ErrorCode;

/**
 * 课程 错误码枚举类
 * <p>
 * 课程，使用 1-018-000-000 段
 */
public interface ErrorCodeConstants {
    // ========== 课程 1_018_000_000 ==========
    ErrorCode BLOCKLY_NOT_EXISTS = new ErrorCode(1_018_000_000, "课程不存在");

    // ========== 课程-类型 1_018_010_000 ==========
    ErrorCode BLOCKLY_TYPE_NOT_EXISTS = new ErrorCode(1_018_010_001, "-课程-类型不存在");
    ErrorCode BLOCKLY_TYPE_EXITS_CHILDREN = new ErrorCode(1_018_010_002, "存在存在子课程-类型，无法删除");
    ErrorCode BLOCKLY_TYPE_PARENT_NOT_EXITS = new ErrorCode(1_018_010_003, "父级课程-类型不存在");
    ErrorCode BLOCKLY_TYPE_PARENT_ERROR = new ErrorCode(1_018_010_004, "不能设置自己为父课程-类型");
    ErrorCode BLOCKLY_TYPE_CT_TYPE_DUPLICATE = new ErrorCode(1_018_010_005, "已经存在该课程类型名称的课程-类型");
    ErrorCode BLOCKLY_TYPE_PARENT_IS_CHILD = new ErrorCode(1_018_010_006, "不能设置自己的子BlocklyType为父BlocklyType");


    // ========== 课程配置 1_019_020_000 ==========
    ErrorCode BLOCKLY_CONFIG_NOT_EXISTS = new ErrorCode(1_019_020_000, "课程配置不存在");
}